## deepin-pdfium 1.0.2%2Brb1

=== debian/changelog ===
deepin-pdfium (1.0.2+rb1) stable; urgency=medium

  * update V6 base line version to 1.0.2

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 11:43:21 +0800

deepin-pdfium (1.0.1) stable; urgency=medium

  * update V6 base line version.

 -- lvwujun <lvwujun@uniontech.com>  Tue, 04 Jan 2023 17:26:29 +0800

deepin-pdfium (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- unknown <lixianga@uniontech.com>  Tue, 09 Nov 2021 11:31:29 +0800

## deepin-pdfium 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

set(VERSION "1.0.0" CACHE STRING "PDF rendering library based on PDFium")

project(deepin-pdfium 
    VERSION ${VERSION}
    DESCRIPTION "PDF rendering library based on PDFium"
    LANGUAGES CXX C
)

# 设置C++标准
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# 编译选项
add_compile_options(
    -fstack-protector-strong 
    -D_FORTITY_SOURCE=1 
    -z noexecstack 
    -pie 
    -fPIC 
    -Wno-unused-parameter
)

# 添加链接选项
add_link_options(
    -z lazy
)

# 获取系统页大小
execute_process(
    COMMAND getconf PAGESIZE
    OUTPUT_VARIABLE SYSTEM_PAGE_SIZE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
add_definitions(-DSYSTEMPAGESIZE=${SYSTEM_PAGE_SIZE})

# 查找Qt6依赖包
find_package(Qt6 COMPONENTS Core Gui REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(DEPS REQUIRED
    chardet
    lcms2  
    freetype2
    libopenjp2
)

# PDFium 第三方库
add_subdirectory(src/3rdparty/pdfium)

# 主库目标
add_library(${PROJECT_NAME} SHARED
    include/dpdfglobal.h
    include/dpdfdoc.h
    include/dpdfpage.h
    include/dpdfannot.h
    src/dpdfglobal.cpp
    src/dpdfdoc.cpp  
    src/dpdfpage.cpp
    src/dpdfannot.cpp
)

# 设置库的版本信息和 SOVERSION
set_target_properties(${PROJECT_NAME} PROPERTIES
    VERSION "${PROJECT_VERSION}"
    SOVERSION "${PROJECT_VERSION_MAJOR}"
)

target_include_directories(${PROJECT_NAME} 
    PUBLIC 
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium>
    PRIVATE
        ${DEPS_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        pdfium
        Qt6::Core
        Qt6::Gui
        ${DEPS_LIBRARIES}
        z
        jpeg
        icuuc
)

# 安装
include(GNUInstallDirs)

install(TARGETS ${PROJECT_NAME}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES 
    include/dpdfglobal.h
    include/dpdfdoc.h
    include/dpdfpage.h 
    include/dpdfannot.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium
)

# pkg-config
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/deepin-pdfium.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/deepin-pdfium.pc
    @ONLY
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-pdfium.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

include(CMakePackageConfigHelpers)

set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium)
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})

configure_package_config_file(
    misc/deepin-pdfiumConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/deepin-pdfiumConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/deepin-pdfium
    PATH_VARS INCLUDE_INSTALL_DIR LIB_INSTALL_DIR
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/deepin-pdfiumConfig.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/deepin-pdfium
)

install(TARGETS deepin-pdfium
    EXPORT deepin-pdfiumTargets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(EXPORT deepin-pdfiumTargets
    FILE deepin-pdfiumTargets.cmake
    NAMESPACE deepin-pdfium::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/deepin-pdfium
)

=== src/3rdparty/pdfium/CMakeLists.txt ===
add_library(pdfium STATIC)

# 基本定义
target_compile_definitions(pdfium 
    PRIVATE
        __QT__
        PNG_PREFIX
        PNG_USE_READ_MACROS
        BUILD_DEEPIN_PDFIUM_LIB
        DEFINE_PS_TABLES_DATA
        FT_CONFIG_OPTION_ADOBE_GLYPH_LIST
        # 系统库定义
        USE_SYSTEM_LIBJPEG
        USE_SYSTEM_ZLIB
        USE_SYSTEM_LIBPNG
        USE_SYSTEM_ICUUC
        USE_SYSTEM_LCMS2
        USE_SYSTEM_LIBOPENJPEG2
        USE_SYSTEM_FREETYPE
)

# 架构相关定义
if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    target_compile_definitions(pdfium PRIVATE 
        _FX_CPU_=_FX_X64_
        ARCH_CPU_ARM64
    )
    target_compile_options(pdfium PRIVATE -fPIC)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "mips64")
    target_compile_definitions(pdfium PRIVATE _MIPS_ARCH_LOONGSON)
    target_compile_options(pdfium PRIVATE 
        -O3 
        -ftree-vectorize 
        -march=loongson3a 
        -mhard-float 
        -mno-micromips 
        -mno-mips16 
        -flax-vector-conversions 
        -mloongson-ext2 
        -mloongson-mmi
    )
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "loongarch64")
    target_compile_definitions(pdfium PRIVATE _MIPS_ARCH_LOONGSON)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "sw_64|sw64")
    target_compile_definitions(pdfium PRIVATE ARCH_CPU_SW64)
    target_compile_options(pdfium PRIVATE -fPIC)
endif()

# 源文件
target_sources(pdfium
    PRIVATE
        # Public headers
        pdfium/public/cpp/fpdf_deleters.h
        pdfium/public/cpp/fpdf_scopers.h
        pdfium/public/fpdf_annot.h
        pdfium/public/fpdf_attachment.h
        pdfium/public/fpdf_catalog.h
        pdfium/public/fpdf_dataavail.h
        pdfium/public/fpdf_doc.h
        pdfium/public/fpdf_edit.h
        pdfium/public/fpdf_ext.h
        pdfium/public/fpdf_flatten.h
        pdfium/public/fpdf_formfill.h
        pdfium/public/fpdf_fwlevent.h
        pdfium/public/fpdf_javascript.h
        pdfium/public/fpdf_ppo.h
        pdfium/public/fpdf_progressive.h
        pdfium/public/fpdf_save.h
        pdfium/public/fpdf_searchex.h
        pdfium/public/fpdf_signature.h
        pdfium/public/fpdf_structtree.h
        pdfium/public/fpdf_sysfontinfo.h
        pdfium/public/fpdf_text.h
        pdfium/public/fpdf_thumbnail.h
        pdfium/public/fpdf_transformpage.h
        pdfium/public/fpdfview.h
)

# 包含子模块
#include(fx_freetype.cmake)
include(fpdfsdk.cmake)
include(core.cmake) 
#include(fx_libopenjpeg.cmake)
include(fx_agg.cmake)
include(fxjs.cmake)
#include(fx_lcms2.cmake)
include(fx_skia.cmake)
include(fx_base.cmake)

target_include_directories(pdfium
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfium
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/third_party/freetype/include
    PRIVATE  
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/third_party
)

# 查找系统依赖
find_package(PkgConfig REQUIRED)
pkg_check_modules(PDFIUM_DEPS REQUIRED
    libopenjp2
    lcms2
    freetype2
    zlib
    libpng
    libjpeg
)

# 链接系统依赖
target_link_libraries(pdfium
    PRIVATE
        ${PDFIUM_DEPS_LIBRARIES}
        icuuc
)

target_include_directories(pdfium
    PRIVATE
        ${PDFIUM_DEPS_INCLUDE_DIRS}
)

=== debian/changelog ===
deepin-pdfium (1.5.1) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 03 Jan 2025 16:49:00 +0800

deepin-pdfium (1.5.0) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 30 Dec 2024 14:53:33 +0800

deepin-pdfium (1.0.2) stable; urgency=medium

  * update V6 base line version to 1.0.2

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 11:43:21 +0800

=== debian/control ===
Source: deepin-pdfium
Section: libdevel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 cmake,
 qt6-base-dev,
 pkg-config,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
 zlib1g-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libfreetype6-dev,
 libgtest-dev,
 libchardet-dev
Standards-Version: 4.3.0

Package: libdeepin-pdfium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A libaray about PDF.
 A library for parsing and editing and displaying PDF.

Package: libdeepin-pdfium-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-pdfium
Description: A libaray about PDF dev
 A libaray that provides for parsing and editing and displaying PDF interface dev.

## deepin-pdfium 1.5.3

=== debian/changelog ===
deepin-pdfium (1.5.3) unstable; urgency=medium

  * Improves the way the application handles PDF files located on remote filesystems like SMB:
  * Update version to 1.5.3

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 29 Apr 2025 11:41:36 +0800

deepin-pdfium (1.5.2) unstable; urgency=medium

  * both build Qt6 and Qt5

 -- re2zero <yangwu@uniontech.com>  Tue, 22 Apr 2025 19:42:57 +0800

## deepin-pdfium 1.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

set(VERSION "1.0.0" CACHE STRING "PDF rendering library based on PDFium")

project(deepin-pdfium
    VERSION ${VERSION}
    DESCRIPTION "PDF rendering library based on PDFium"
    LANGUAGES CXX C
)

# 设置C++标准
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# 编译选项
add_compile_options(
    -fstack-protector-strong
    -D_FORTITY_SOURCE=1
    -z noexecstack
    -pie
    -fPIC
    -Wno-unused-parameter
)

# 添加链接选项
add_link_options(
    -z lazy
)

# 获取系统页大小
execute_process(
    COMMAND getconf PAGESIZE
    OUTPUT_VARIABLE SYSTEM_PAGE_SIZE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
add_definitions(-DSYSTEMPAGESIZE=${SYSTEM_PAGE_SIZE})

# Qt6必须放前面，否则高版本cmake存在问题
find_package(Qt6 COMPONENTS Core Gui QUIET)
find_package(Qt5 COMPONENTS Core Gui QUIET)

if(NOT Qt5_FOUND AND NOT Qt6_FOUND)
    message(FATAL_ERROR "Neither Qt5 nor Qt6 found - please install at least one")
endif()
find_package(PkgConfig REQUIRED)
pkg_check_modules(DEPS REQUIRED
    chardet
    lcms2  
    freetype2
    libopenjp2
)

# PDFium 第三方库
add_subdirectory(src/3rdparty/pdfium)

# 定义导出宏
# add_definitions(-DBUILD_DEEPDF_LIB)

# 源文件列表
set(DEEPDF_SOURCES
    include/dpdfglobal.h
    include/dpdfdoc.h
    include/dpdfpage.h
    include/dpdfannot.h
    src/dpdfglobal.cpp
    src/dpdfdoc.cpp
    src/dpdfpage.cpp
    src/dpdfannot.cpp
)

# 安装
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium)
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})

# 创建Qt5版本库
if(Qt5_FOUND)
    message(STATUS ">>> Enable Qt5 version of the library")
    set(QT_DESIRED_VERSION 5)
    set(TARGET_NAME ${PROJECT_NAME}5)
    include(target.cmake)
endif()

# 创建Qt6版本库
if(Qt6_FOUND)
    message(STATUS ">>> Enable Qt6 version of the library")
    # keep the same project name for Qt6 in order to compability with other applications, ie. DFM
    set(QT_DESIRED_VERSION 6)
    set(TARGET_NAME ${PROJECT_NAME})
    include(target.cmake)
endif()

=== src/3rdparty/pdfium/CMakeLists.txt ===
add_library(pdfium STATIC)

# 基本定义
target_compile_definitions(pdfium 
    PRIVATE
        # thrid_party 定义
        DEFINE_PS_TABLES_DATA
)

# 架构相关定义
if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    target_compile_definitions(pdfium PRIVATE 
        _FX_CPU_=_FX_X64_
        ARCH_CPU_ARM64
    )
    target_compile_options(pdfium PRIVATE -fPIC)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "mips64")
    target_compile_definitions(pdfium PRIVATE _MIPS_ARCH_LOONGSON)
    target_compile_options(pdfium PRIVATE 
        -O3 
        -ftree-vectorize 
        -march=loongson3a 
        -mhard-float 
        -mno-micromips 
        -mno-mips16 
        -flax-vector-conversions 
        -mloongson-ext2 
        -mloongson-mmi
    )
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "loongarch64")
    target_compile_definitions(pdfium PRIVATE _MIPS_ARCH_LOONGSON)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "sw_64|sw64")
    target_compile_definitions(pdfium PRIVATE ARCH_CPU_SW64)
    target_compile_options(pdfium PRIVATE -fPIC)
endif()

file(GLOB_RECURSE PUB_HDR
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/public/*.h
)

# fpdfsdk 
file(GLOB_RECURSE SDK_HDR
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/fpdfsdk/*.h
)
file(GLOB_RECURSE SDK_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/fpdfsdk/*.cpp
)

# core
file(GLOB_RECURSE CORE_HDR
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/core/*.h
)
file(GLOB_RECURSE CORE_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfium/core/*.cpp
)

# # 源文件
# target_sources(pdfium
#     PRIVATE
#         # Public headers
#         ${PUB_HDRS}
# )

# 包含子模块
include(fpdfsdk.cmake)
include(core.cmake) 
include(fx_agg.cmake)
# include(fxjs.cmake)
include(fx_skia.cmake)
include(fx_base.cmake)

target_include_directories(pdfium
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/pdfium
)

# 查找系统依赖
find_package(PkgConfig REQUIRED)
pkg_check_modules(PDFIUM_DEPS REQUIRED
    libopenjp2
    lcms2
    freetype2
    zlib
    libpng
    libjpeg
)

# 链接系统依赖
target_link_libraries(pdfium
    PRIVATE
        ${PDFIUM_DEPS_LIBRARIES}
        icuuc
)

target_include_directories(pdfium
    PRIVATE
        ${PDFIUM_DEPS_INCLUDE_DIRS}
)

=== debian/changelog ===
deepin-pdfium (1.5.7) unstable; urgency=medium

  * update version to 1.5.7
  * fix: coredump when application destruction.

 -- re2zero <yangwu@uniontech.com>  Wed, 22 Oct 2025 15:25:13 +0800

deepin-pdfium (1.5.6) unstable; urgency=medium

  * update version to 1.5.6

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 22:49:08 +0800

deepin-pdfium (1.5.5) unstable; urgency=medium

  * update version to 1.5.5

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 19:16:39 +0800

deepin-pdfium (1.5.4) unstable; urgency=medium

  * fix: Fix url link access

 -- re2zero <yangwu@uniontech.com>  Wed, 15 Oct 2025 13:23:54 +0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,9 @@
 Build-Depends: debhelper (>= 11),
  cmake,
  qt6-base-dev,
+ qt6-tools-dev-tools,
+ qtbase5-dev,
+ qttools5-dev-tools,
  pkg-config,
  libjpeg-dev,
  libicu-dev,
@@ -20,11 +23,23 @@
 Package: libdeepin-pdfium
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A libaray about PDF.
+Description: A libaray about PDF base on Qt6.
+ A library for parsing and editing and displaying PDF.
+
+Package: libdeepin-pdfium5
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: A libaray about PDF base on Qt5.
  A library for parsing and editing and displaying PDF.
 
 Package: libdeepin-pdfium-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-pdfium
-Description: A libaray about PDF dev
+Description: A libaray about PDF dev base on Qt6.
  A libaray that provides for parsing and editing and displaying PDF interface dev.
+
+Package: libdeepin-pdfium5-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-pdfium5
+Description: A libaray about PDF dev base on Qt5.
+ A libaray that provides for parsing and editing and displaying PDF interface dev.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export QT_SELECT=5

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

DH_AUTO_ARGS = --parallel --buildsystem=cmake

%:
	dh $@
override_dh_installinit:
	true

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DQT_DIR=$(QT_DIR)

## deepin-pdfium 1.5.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,18 @@
 cmake_minimum_required(VERSION 3.15)
 
 set(VERSION "1.0.0" CACHE STRING "PDF rendering library based on PDFium")
+
+# Normalize VERSION format to handle irregular inputs
+if(DEFINED VERSION)
+    # Extract major.minor.patch from VERSION string (e.g., from "1.5.8+u001" to "1.5.8")
+    if(VERSION MATCHES "^([0-9]+\\.[0-9]+\\.[0-9]+)")
+        set(VERSION "${CMAKE_MATCH_1}")
+    else()
+        # If no valid semver found, default to "1.0.0"
+        set(VERSION "1.0.0")
+        message(WARNING "VERSION does not match semver format, defaulted to ${VERSION}")
+    endif()
+endif()
 
 project(deepin-pdfium
     VERSION ${VERSION}
@@ -39,13 +51,13 @@
 )
 add_definitions(-DSYSTEMPAGESIZE=${SYSTEM_PAGE_SIZE})
 
-# Qt6必须放前面，否则高版本cmake存在问题
-find_package(Qt6 COMPONENTS Core Gui QUIET)
-find_package(Qt5 COMPONENTS Core Gui QUIET)
+# Auto-detect Qt version (tries Qt6 first, falls back to Qt5)
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
+message(STATUS "Found Qt version: ${QT_VERSION_MAJOR}")
 
-if(NOT Qt5_FOUND AND NOT Qt6_FOUND)
-    message(FATAL_ERROR "Neither Qt5 nor Qt6 found - please install at least one")
-endif()
+# Find Qt with the detected version
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
+
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(DEPS REQUIRED
     chardet
@@ -79,19 +91,5 @@
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium)
 set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
 
-# 创建Qt5版本库
-if(Qt5_FOUND)
-    message(STATUS ">>> Enable Qt5 version of the library")
-    set(QT_DESIRED_VERSION 5)
-    set(TARGET_NAME ${PROJECT_NAME}5)
-    include(target.cmake)
-endif()
-
-# 创建Qt6版本库
-if(Qt6_FOUND)
-    message(STATUS ">>> Enable Qt6 version of the library")
-    # keep the same project name for Qt6 in order to compability with other applications, ie. DFM
-    set(QT_DESIRED_VERSION 6)
-    set(TARGET_NAME ${PROJECT_NAME})
-    include(target.cmake)
-endif()
+set(TARGET_NAME ${PROJECT_NAME})
+include(target.cmake)

=== debian/changelog ===
deepin-pdfium (1.5.8) unstable; urgency=medium

  * chore: Adjusted build and packaging strategy

 -- wangrong <wangrong@uniontech.com>  Wed, 26 Nov 2025 13:29:39 +0800

=== debian/control ===
Source: deepin-pdfium
Section: libdevel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 cmake,
 qt6-base-dev,
 qt6-tools-dev-tools,
 pkg-config,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
 zlib1g-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libfreetype6-dev,
 libgtest-dev,
 libchardet-dev
Standards-Version: 4.3.0

Package: libdeepin-pdfium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A libaray about PDF.
 A library for parsing and editing and displaying PDF.

Package: libdeepin-pdfium-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-pdfium
Description: A libaray about PDF dev.
 A libaray that provides for parsing and editing and displaying PDF interface dev.
